## python-pbr 2.0.0

=== debian/changelog ===
python-pbr (2.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 24 Apr 2017 13:40:07 +0000

python-pbr (2.0.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New usptream release.
  * d/patches/sphinx-conf-name.patch: Dropped no longer needed.
  * d/control: Update build-dependencies.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:05:49 +0100

python-pbr (1.10.0-0ubuntu6) zesty; urgency=medium

  * debian/patches/sphinx-conf-name.patch: Upstream patch to fix build
    with Sphinx 1.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 01 Feb 2017 21:54:45 +0300

python-pbr (1.10.0-0ubuntu5) zesty; urgency=medium

  *  debian/patches/add-more-sensible.patch: Fix tarball generation.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 23 Nov 2016 12:28:20 -0500

python-pbr (1.10.0-0ubuntu4) zesty; urgency=medium

  * debian/patches/add-more-sensible.patch: Add more sensible defaults
    for projects.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 23 Nov 2016 11:05:10 -0500

python-pbr (1.10.0-0ubuntu3) yakkety; urgency=medium

  * d/control, d/p/stop-gpg-agent.patch: Use psutil to stop gpg agent only
    if it's running.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Oct 2016 16:57:28 -0400

python-pbr (1.10.0-0ubuntu2) yakkety; urgency=medium

  * d/control.orig: Dropped, not needed.
  * d/control: Add python(3)-wheel to BDs.
  * d/control: Add python(3)-hacking to BDs.
  * d/p/stop-gpg-agent.patch: Stop gpg agent prior to generating keypair.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 23 Sep 2016 09:07:09 -0400

python-pbr (1.10.0-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * d/gbp.conf: Update branch to ubuntu/newton.
  * New upstream release for OpenStack Newton (LP: #1626006).
  * d/p/no-u-string-for-python-3.2.patch: Rebased.

  [ Corey Bryant ]
  * d/p/no-u-string-for-python-3.2.patch: Add back missing code.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 21 Sep 2016 12:24:58 -0400

python-pbr (1.8.0-4.1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Drop dependencies on pip and virtualenv as these are not in Ubuntu main.
    - Fix autopkgtests to not try to test against non-default pythons.
    - Relax build-dependency on subunit, which has been raised in the
      packaging for some reason but not raised upstream.
    - Drop build-dependencies on python3-all-dev, python3-all, python-all-dev,
      python-all.  This package doesn't build anything that requires supporting
      more than one python version, or even anything that involves a binary
      extension.  Just build-depend on python, python3.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 08 May 2016 18:36:42 +0200

=== debian/control ===
Source: python-pbr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               git,
               openstack-pkg-tools,
               python,
               python-setuptools,
               python-sphinx,
               python3,
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-markupsafe,
                     python-mock (>= 1.3),
                     python-oslosphinx,
                     python-psutil,
                     python-six (>= 1.9.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-wheel,
                     python3-fixtures (>= 0.3.14),
                     python3-hacking,
                     python3-markupsafe,
                     python3-mock (>= 1.3),
                     python3-psutil,
                     python3-six (>= 1.9.0),
                     python3-testresources,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-wheel,
                     subunit (>= 0.0.18),
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pbr
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pbr
Homepage: http://pypi.python.org/pypi/pbr
XS-Testsuite: autopkgtest

Package: python-pbr
Architecture: all
Depends: python-pkg-resources,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: inject useful and sensible default behaviors into setuptools - Python 2.x
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number based on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of `d2to1` to provide for declarative configuration. It then
 filters the `setup.cfg` data through a setup hook to fill in default values
 and provide more sensible behaviors.
 .
 This package provides support for Python 2.x.

Package: python3-pbr
Architecture: all
Depends: python3-pkg-resources,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: inject useful and sensible default behaviors into setuptools - Python 3.x
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number based on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of `d2to1` to provide for declarative configuration. It then
 filters the `setup.cfg` data through a setup hook to fill in default values
 and provide more sensible behaviors.
 .
 This package provides support for Python 3.x.

Package: python-pbr-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: inject useful and sensible default behaviors into setuptools - doc
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number based on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of `d2to1` to provide for declarative configuration. It then
 filters the `setup.cfg` data through a setup hook to fill in default values
 and provide more sensible behaviors.
 .
 This package provides the documentation.

## python-pbr 3.1.1

=== debian/changelog ===
python-pbr (3.1.1-3ubuntu3) bionic; urgency=medium

  * Add python-psutil and python3-psutil to Build-Depends-Indep.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 11 Nov 2017 16:21:54 +0300

python-pbr (3.1.1-3ubuntu2) bionic; urgency=medium

  * Add back stop-gpg-agent.patch from previous uploads, this should
    fix the remaining autopkgtest failures.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 11 Nov 2017 16:08:23 +0300

python-pbr (3.1.1-3ubuntu1) bionic; urgency=medium

  * Add back debian/tests/unit script.
  * Disable test_requirement_parsing in debian/tests/unit, it fails without
    network access.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Nov 2017 12:23:30 +0300

python-pbr (3.1.1-3) unstable; urgency=medium

  * Defines http_proxy and https_proxy to avoid accessing internet during the
    unit tests.
  * Blacklist test_packaging.TestRequirementParsing.test_requirement_parsing()
    which fails with the above set-up (Closes: #877252).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2017 13:49:29 +0000

python-pbr (3.1.1-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed Standards-Version to 4.1.1.
  * Remove not-needed version in (build-)depends.
  * Watch file uses HTTPS.
  * debian/rules: Remove things defined in openstack-pkg-tools.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 11:03:33 +0000

python-pbr (3.1.1-1) experimental; urgency=medium

  * Team upload.

  [ Daniel Baumann]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.

  [ Thomas Goirand ]
  * New upstream release (Closes: #868615, #868976).
  * Fixed (build-)depends.
  * Removed patch folder.
  * Removed setting-up of http_proxy in debian/rules, as this breaks tests.
    TODO: check it doesn't requires network to build now.
  * Remove doc/source/static/nature.css from debian/copyright as it is also
    removed upstream.
  * Removed XS-Testsuite field from debian/control.
  * Standards-Version is now 4.0.0 (no change).

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * Add d/p/disable_tests.patch

 -- Ondřej Nový <onovy@debian.org>  Tue, 08 Aug 2017 23:01:43 +0200

=== debian/control ===
Source: python-pbr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Prach Pongpanich <prachpub@gmail.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 git,
 gnupg,
 openstack-pkg-tools,
 python-all,
 python-all-dev,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-all-dev,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-coverage,
 python-fixtures,
 python-markupsafe,
 python-mock,
 python-pip,
 python-psutil,
 python-six,
 python-testresources,
 python-testscenarios,
 python-testtools,
 python-virtualenv,
 python-wheel,
 python3-fixtures,
 python3-markupsafe,
 python3-mock,
 python3-pip,
 python3-psutil,
 python3-six,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-virtualenv,
 python3-wheel,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-pbr.git
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-pbr.git
Homepage: https://pypi.python.org/pypi/pbr

Package: python-pbr
Architecture: all
Depends:
 python-pkg-resources,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${python:Recommends},
Description: inject useful and sensible default behaviors into setuptools - Python 2.x
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number based on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of the work that d2to1 started to provide for declarative
 configuration. d2to1 is itself an implementation of the ideas behind
 distutils2. Although distutils2 is now abandoned in favor of work towards PEP
 426 and Metadata 2.0, declarative config is still a great idea and
 specifically important in trying to distribute setup code as a library when
 that library itself will alter how the setup is processed. As Metadata 2.0 and
 other modern Python packaging PEPs come out, PBR aims to support them as
 quickly as possible.
 .
 This package provides support for Python 2.x.

Package: python-pbr-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: inject useful and sensible default behaviors into setuptools - doc
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number based on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of the work that d2to1 started to provide for declarative
 configuration. d2to1 is itself an implementation of the ideas behind
 distutils2. Although distutils2 is now abandoned in favor of work towards PEP
 426 and Metadata 2.0, declarative config is still a great idea and
 specifically important in trying to distribute setup code as a library when
 that library itself will alter how the setup is processed. As Metadata 2.0 and
 other modern Python packaging PEPs come out, PBR aims to support them as
 quickly as possible.
 .
 This package provides the documentation.

Package: python3-pbr
Architecture: all
Depends:
 python3-pkg-resources,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: inject useful and sensible default behaviors into setuptools - Python 3.x
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number based on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of the work that d2to1 started to provide for declarative
 configuration. d2to1 is itself an implementation of the ideas behind
 distutils2. Although distutils2 is now abandoned in favor of work towards PEP
 426 and Metadata 2.0, declarative config is still a great idea and
 specifically important in trying to distribute setup code as a library when
 that library itself will alter how the setup is processed. As Metadata 2.0 and
 other modern Python packaging PEPs come out, PBR aims to support them as
 quickly as possible.
 .
 This package provides support for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build __pycache__

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/tests/control ===
Tests: unit
Depends: python-pip, python3-pip, python-virtualenv, python3-virtualenv, @builddeps@, @
Restrictions: allow-stderr

## python-pbr 4.2.0

=== debian/changelog ===
python-pbr (4.2.0-0ubuntu3) cosmic; urgency=medium

  * d/tests/unit: Skip unit tests for armhf due to timeouts.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Sep 2018 11:50:23 +0200

python-pbr (4.2.0-0ubuntu2) cosmic; urgency=medium

  * d/control: Add python(3)-all-dev to BDs.
  * d/tests/unit: Unit tests need to be run with stestr, so just use
    pkgos-dh_auto_test which will detect and run with stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 18 Sep 2018 14:59:18 +0200

python-pbr (4.2.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Add git-buildpackage config.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Aug 2018 16:36:45 -0400

python-pbr (3.1.1-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop build-dependencies on python3-all-dev and python-all-dev,
      This package doesn't build anything that involves a binary
      extension.
  * Dropped changes, no longer required:
    - Relax build-dependency on subunit, which has been raised in the
      packaging for some reason but not raised upstream.
    - Fix autopkgtests to not try to test against non-default pythons.
    - Drop dependencies on pip and virtualenv as these are not in Ubuntu
      main.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Oct 2017 11:35:57 +0000

=== debian/control ===
--- 
+++ 
@@ -15,34 +15,34 @@
  python-all,
  python-all-dev,
  python-setuptools,
- python-sphinx,
+ python-sphinx (>= 1.6.2),
  python3-all,
  python3-all-dev,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-coverage,
- python-fixtures,
+ python-fixtures (>= 3.0.0),
  python-markupsafe,
- python-mock,
+ python-mock (>= 2.0.0),
  python-pip,
- python-psutil,
- python-six,
- python-testresources,
- python-testscenarios,
- python-testtools,
- python-virtualenv,
+ python-six (>= 1.10.0),
+ python-stestr,
+ python-testresources (>= 2.0.0),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 2.2.0),
+ python-virtualenv (>= 14.0.6),
  python-wheel,
- python3-fixtures,
+ python3-fixtures (>= 3.0.0),
  python3-markupsafe,
- python3-mock,
+ python3-mock (>= 2.0.0),
  python3-pip,
- python3-psutil,
- python3-six,
- python3-testresources,
- python3-testscenarios,
- python3-testtools,
- python3-virtualenv,
+ python3-six (>= 1.10.0),
+ python3-stestr,
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-virtualenv (>= 14.0.6),
  python3-wheel,
  subunit,
  testrepository,

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export http_proxy=127.0.0.1:9
-export https_proxy=127.0.0.1:9
+#export http_proxy=127.0.0.1:9
+#export https_proxy=127.0.0.1:9
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
@@ -21,7 +21,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*)'
+	if ! dpkg-vendor --derives-from ubuntu; then \
+		set -e && $(CURDIR)/debian/tests/unit; \
+	fi
 endif
 
 override_dh_sphinxdoc:

## python-pbr 5.1.1

=== debian/changelog ===
python-pbr (5.1.1-0ubuntu3~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 08 Oct 2019 10:39:15 +0000

python-pbr (5.1.1-0ubuntu3) eoan; urgency=medium

  * d/control,d/tests/unit: Drop testing under Python 2 as an interim
    measure to address the fact that python-stestr dropped Python 2
    support during the eoan cycle, but a large number of packages still
    depend on python-pbr.  Python 2 support should be dropped for this
    package during the 'dd' cycle.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2019 10:24:17 +0100

python-pbr (5.1.1-0ubuntu2) disco; urgency=medium

  * d/control: Bump minimum version of wheel to resolve autopkgtest
    failures.

 -- James Page <james.page@ubuntu.com>  Tue, 04 Dec 2018 14:23:23 +0000

python-pbr (5.1.1-0ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Add gbp-buildpackage configuration for Ubuntu.
    - d/rules: Don't set dummy proxy.
    - d/rules: Execute tests via autopkgtest unit tests.
    - d/tests/unit: Skip under armhf.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Dec 2018 15:03:23 +0000

python-pbr (4.2.0-4) unstable; urgency=medium

  * Add python{,3}-setuptools into runtime depends

 -- Ondřej Nový <onovy@debian.org>  Wed, 05 Sep 2018 14:20:06 +0200

python-pbr (4.2.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:02:00 +0200

python-pbr (4.2.0-2) experimental; urgency=medium

  * Add <!nocheck> in debian/control.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 16:15:12 +0200

python-pbr (4.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release (Closes: #894811).
  * Fixed (build-)depends for this release.
  * Using Python 3 to build the doc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 13:59:42 +0200

python-pbr (4.2.0-0ubuntu4) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 18:18:04 +0000

python-pbr (3.1.1-4) unstable; urgency=medium

  * Add back debian/tests/unit.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Nov 2017 21:26:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
+	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-pbr 5.4.3

=== debian/changelog ===
python-pbr (5.4.3-2) unstable; urgency=medium

  * Really re-introduce Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Oct 2019 15:42:55 +0200

python-pbr (5.4.3-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Blacklist test_core.TestCore.test_setup_py_keywords().
  * Re-introduce Python 2, as python-mock needs it, and we can't remove it
    early.
  * Add python3-sphinxcontrib.apidoc as build-depends.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 16:51:52 +0200

python-pbr (5.1.3-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0.
  * Fix autopkgtests (Closes: #934750).

 -- Ondřej Nový <onovy@debian.org>  Wed, 14 Aug 2019 14:46:56 +0200

python-pbr (5.1.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:48:47 +0200

python-pbr (5.1.3-2) experimental; urgency=medium

  * Removed management of alternatives.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 12:39:40 +0100

python-pbr (5.1.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed now useless patches:
    - fix-wheel.install.py-doesnt-exist-anymore.patch
    - wheel_file.zipfile-is-moved-in-recent-wheel.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 12:32:00 +0100

python-pbr (4.2.0-5) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Team upload.
  * Mark the build-depends on python(3)-all-dev as <!nocheck> and move them to
    Build-Depends-Indep.
  * Bump Standards-Version to 4.2.1:
    + Set Rules-Requires-Root:no.
  * Mark python-pbr-doc as Multi-Arch:foreign (from the m-a hinter).

  [ Thomas Goirand ]
  * Add patches to fix FTBFS (Closes: #917678):
    - fix-wheel.install.py-doesnt-exist-anymore.patch
    - wheel_file.zipfile-is-moved-in-recent-wheel.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Dec 2018 05:26:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,96 +1,48 @@
 Source: python-pbr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Prach Pongpanich <prachpub@gmail.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  git,
  gnupg,
  openstack-pkg-tools,
  python-all,
- python-all-dev,
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
- python3-all-dev,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python-coverage,
- python-fixtures (>= 3.0.0),
- python-markupsafe,
- python-mock (>= 2.0.0),
- python-pip,
- python-six (>= 1.10.0),
- python-stestr,
- python-testresources (>= 2.0.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-virtualenv (>= 14.0.6),
- python-wheel,
- python3-fixtures (>= 3.0.0),
- python3-markupsafe,
- python3-mock (>= 2.0.0),
- python3-pip,
- python3-six (>= 1.10.0),
- python3-stestr,
- python3-testresources (>= 2.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- python3-virtualenv (>= 14.0.6),
- python3-wheel,
- subunit,
- testrepository,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-pbr.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-pbr.git
+ python3-all-dev <!nocheck>,
+ python3-coverage <!nocheck>,
+ python3-fixtures <!nocheck>,
+ python3-markupsafe <!nocheck>,
+ python3-mock <!nocheck>,
+ python3-openstackdocstheme <!nocheck>,
+ python3-pip <!nocheck>,
+ python3-six <!nocheck>,
+ python3-sphinxcontrib.apidoc,
+ python3-stestr <!nocheck>,
+ python3-testresources <!nocheck>,
+ python3-testscenarios <!nocheck>,
+ python3-testtools <!nocheck>,
+ python3-virtualenv <!nocheck>,
+ python3-wheel <!nocheck>,
+ subunit <!nocheck>,
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pbr
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pbr.git
 Homepage: https://pypi.python.org/pypi/pbr
-
-Package: python-pbr
-Architecture: all
-Depends:
- python-pkg-resources,
- python-six,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- ${python:Recommends},
-Description: inject useful and sensible default behaviors into setuptools - Python 2.x
- PBR (Python Build Reasonableness) is a library that injects some useful and
- sensible default behaviors into your setuptools run. PBR can:
-  * Manage version number based on git revisions and tags (Version file).
-  * Generate AUTHORS file from git log
-  * Generate ChangeLog from git log
-  * Generate Sphinx autodoc stub files for your whole module
-  * Store your dependencies in a pip requirements file
-  * Use your README file as a long_description
-  * Smartly find packages under your root package
- .
- PBR is only mildly configurable. The basic idea is that there's a decent way
- to run things and if you do, you should reap the rewards, because then it's
- simple and repeatable. If you want to do things differently, cool! But you've
- already got the power of Python at your fingertips, so you don't really need
- PBR.
- .
- PBR builds on top of the work that d2to1 started to provide for declarative
- configuration. d2to1 is itself an implementation of the ideas behind
- distutils2. Although distutils2 is now abandoned in favor of work towards PEP
- 426 and Metadata 2.0, declarative config is still a great idea and
- specifically important in trying to distribute setup code as a library when
- that library itself will alter how the setup is processed. As Metadata 2.0 and
- other modern Python packaging PEPs come out, PBR aims to support them as
- quickly as possible.
- .
- This package provides support for Python 2.x.
 
 Package: python-pbr-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
@@ -122,10 +74,47 @@
  .
  This package provides the documentation.
 
+Package: python-pbr
+Architecture: all
+Depends:
+ python-pkg-resources,
+ python-setuptools,
+ python-six,
+ ${misc:Depends},
+ ${python:Depends},
+Description: inject useful and sensible default behaviors into setuptools - Python 2.x
+ PBR (Python Build Reasonableness) is a library that injects some useful and
+ sensible default behaviors into your setuptools run. PBR can:
+  * Manage version number based on git revisions and tags (Version file).
+  * Generate AUTHORS file from git log
+  * Generate ChangeLog from git log
+  * Generate Sphinx autodoc stub files for your whole module
+  * Store your dependencies in a pip requirements file
+  * Use your README file as a long_description
+  * Smartly find packages under your root package
+ .
+ PBR is only mildly configurable. The basic idea is that there's a decent way
+ to run things and if you do, you should reap the rewards, because then it's
+ simple and repeatable. If you want to do things differently, cool! But you've
+ already got the power of Python at your fingertips, so you don't really need
+ PBR.
+ .
+ PBR builds on top of the work that d2to1 started to provide for declarative
+ configuration. d2to1 is itself an implementation of the ideas behind
+ distutils2. Although distutils2 is now abandoned in favor of work towards PEP
+ 426 and Metadata 2.0, declarative config is still a great idea and
+ specifically important in trying to distribute setup code as a library when
+ that library itself will alter how the setup is processed. As Metadata 2.0 and
+ other modern Python packaging PEPs come out, PBR aims to support them as
+ quickly as possible.
+ .
+ This package provides support for Python 2.x.
+
 Package: python3-pbr
 Architecture: all
 Depends:
  python3-pkg-resources,
+ python3-setuptools,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .stestr build __pycache__

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|.*test_core\.TestCore\.test_setup_py_keywords.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-pbr 5.4.4

=== debian/changelog ===
python-pbr (5.4.4-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Add gbp-buildpackage configuration for Ubuntu.
    - d/rules: Don't set dummy proxy.
    - d/rules, d/control: Execute tests via autopkgtest unit tests.
    - d/tests/unit: Skip under armhf.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Dec 2019 15:52:06 -0500

python-pbr (5.1.1-0ubuntu4) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:27:50 +0000

## python-pbr 5.4.5

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-pbr (5.4.5-0ubuntu1~cloud0) bionic-ussuri; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Apr 2020 12:36:54 +0000

python-pbr (5.4.5-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:32:59 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export http_proxy=127.0.0.1:9
-export https_proxy=127.0.0.1:9
+#export http_proxy=127.0.0.1:9
+#export https_proxy=127.0.0.1:9
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
@@ -20,7 +20,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|.*test_core\.TestCore\.test_setup_py_keywords.*)'
+	if ! dpkg-vendor --derives-from ubuntu; then \
+		set -e && $(CURDIR)/debian/tests/unit; \
+	fi
 endif
 
 override_dh_sphinxdoc:

## python-pbr 5.5.0

=== debian/changelog ===
python-pbr (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 12:43:07 +0200

python-pbr (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix min version of virtualenv.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 13:20:34 +0200

python-pbr (5.4.5-3) unstable; urgency=medium

  * Reactivate tests and docs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Apr 2020 09:31:18 +0200

python-pbr (5.4.5-2) unstable; urgency=medium

  * Uploading to experimental, fixing "cannot install" (Closes: #956736).
  * Disabled unit tests for now, as otherwise it wouldn't build because test
    dependencies need pbr to install. Will re-activate on next upload. Also
    disabled docs because of the same reason (sphinxcontrib.apidoc needs PBR).

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Apr 2020 09:11:52 +0200

python-pbr (5.4.5-1) experimental; urgency=medium

  * New upstream release.
  * Removed remainings of Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Apr 2020 21:19:22 +0200

python-pbr (5.4.3-3) unstable; urgency=medium

  * Drop python2 support; Closes: #938011

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 14:49:01 -0400

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,9 @@
  git,
  gnupg,
  openstack-pkg-tools,
- python-all,
- python-setuptools,
  python3-all,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx <!nodoc>,
 Build-Depends-Indep:
  python3-all-dev <!nocheck>,
  python3-coverage <!nocheck>,
@@ -25,12 +23,12 @@
  python3-openstackdocstheme <!nocheck>,
  python3-pip <!nocheck>,
  python3-six <!nocheck>,
- python3-sphinxcontrib.apidoc,
+ python3-sphinxcontrib.apidoc <!nodoc>,
  python3-stestr <!nocheck>,
  python3-testresources <!nocheck>,
  python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
- python3-virtualenv <!nocheck>,
+ python3-virtualenv (>= 20.0) <!nocheck>,
  python3-wheel <!nocheck>,
  subunit <!nocheck>,
 Standards-Version: 4.4.1
@@ -74,42 +72,6 @@
  .
  This package provides the documentation.
 
-Package: python-pbr
-Architecture: all
-Depends:
- python-pkg-resources,
- python-setuptools,
- python-six,
- ${misc:Depends},
- ${python:Depends},
-Description: inject useful and sensible default behaviors into setuptools - Python 2.x
- PBR (Python Build Reasonableness) is a library that injects some useful and
- sensible default behaviors into your setuptools run. PBR can:
-  * Manage version number based on git revisions and tags (Version file).
-  * Generate AUTHORS file from git log
-  * Generate ChangeLog from git log
-  * Generate Sphinx autodoc stub files for your whole module
-  * Store your dependencies in a pip requirements file
-  * Use your README file as a long_description
-  * Smartly find packages under your root package
- .
- PBR is only mildly configurable. The basic idea is that there's a decent way
- to run things and if you do, you should reap the rewards, because then it's
- simple and repeatable. If you want to do things differently, cool! But you've
- already got the power of Python at your fingertips, so you don't really need
- PBR.
- .
- PBR builds on top of the work that d2to1 started to provide for declarative
- configuration. d2to1 is itself an implementation of the ideas behind
- distutils2. Although distutils2 is now abandoned in favor of work towards PEP
- 426 and Metadata 2.0, declarative config is still a great idea and
- specifically important in trying to distribute setup code as a library when
- that library itself will alter how the setup is processed. As Metadata 2.0 and
- other modern Python packaging PEPs come out, PBR aims to support them as
- quickly as possible.
- .
- This package provides support for Python 2.x.
-
 Package: python3-pbr
 Architecture: all
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .stestr build __pycache__

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|.*test_core\.TestCore\.test_setup_py_keywords.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-pbr 5.5.1

=== debian/changelog ===
python-pbr (5.5.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 05 Feb 2021 15:32:30 +0000

python-pbr (5.5.1-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 14:36:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pbr
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Prach Pongpanich <prachpub@gmail.com>,
@@ -11,30 +12,34 @@
  git,
  gnupg,
  openstack-pkg-tools,
+ python-all,
+ python-setuptools,
  python3-all,
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python3-all-dev <!nocheck>,
  python3-coverage <!nocheck>,
- python3-fixtures <!nocheck>,
+ python3-coverage (>= 4.0) <!nocheck>,
+ python3-fixtures (>= 3.0.0) <!nocheck>,
  python3-markupsafe <!nocheck>,
- python3-mock <!nocheck>,
- python3-openstackdocstheme <!nocheck>,
+ python3-mock (>= 2.0.0) <!nocheck>,
+ python3-openstackdocstheme (>= 1.18.1) <!nocheck>,
  python3-pip <!nocheck>,
- python3-six <!nocheck>,
- python3-sphinxcontrib.apidoc <!nodoc>,
- python3-stestr <!nocheck>,
- python3-testresources <!nocheck>,
- python3-testscenarios <!nocheck>,
- python3-testtools <!nocheck>,
- python3-virtualenv (>= 20.0) <!nocheck>,
- python3-wheel <!nocheck>,
+ python3-six (>= 1.12.0) <!nocheck>,
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.1.0) <!nocheck>,
+ python3-testrepository (>= 0.0.18) <!nocheck>,
+ python3-testresources (>= 2.0.0) <!nocheck>,
+ python3-testscenarios (>= 0.4) <!nocheck>,
+ python3-testtools (>= 2.2.0) <!nocheck>,
+ python3-virtualenv (>= 20.0.3) <!nocheck>,
+ python3-wheel (>= 0.32.0) <!nocheck>,
  subunit <!nocheck>,
 Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pbr
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pbr.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pbr
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pbr
 Homepage: https://pypi.python.org/pypi/pbr
 
 Package: python-pbr-doc
@@ -72,12 +77,48 @@
  .
  This package provides the documentation.
 
+Package: python-pbr
+Architecture: all
+Depends:
+ python-pkg-resources,
+ python-setuptools,
+ python-six (>= 1.10.0),
+ ${misc:Depends},
+ ${python:Depends},
+Description: inject useful and sensible default behaviors into setuptools - Python 2.x
+ PBR (Python Build Reasonableness) is a library that injects some useful and
+ sensible default behaviors into your setuptools run. PBR can:
+  * Manage version number based on git revisions and tags (Version file).
+  * Generate AUTHORS file from git log
+  * Generate ChangeLog from git log
+  * Generate Sphinx autodoc stub files for your whole module
+  * Store your dependencies in a pip requirements file
+  * Use your README file as a long_description
+  * Smartly find packages under your root package
+ .
+ PBR is only mildly configurable. The basic idea is that there's a decent way
+ to run things and if you do, you should reap the rewards, because then it's
+ simple and repeatable. If you want to do things differently, cool! But you've
+ already got the power of Python at your fingertips, so you don't really need
+ PBR.
+ .
+ PBR builds on top of the work that d2to1 started to provide for declarative
+ configuration. d2to1 is itself an implementation of the ideas behind
+ distutils2. Although distutils2 is now abandoned in favor of work towards PEP
+ 426 and Metadata 2.0, declarative config is still a great idea and
+ specifically important in trying to distribute setup code as a library when
+ that library itself will alter how the setup is processed. As Metadata 2.0 and
+ other modern Python packaging PEPs come out, PBR aims to support them as
+ quickly as possible.
+ .
+ This package provides support for Python 2.x.
+
 Package: python3-pbr
 Architecture: all
 Depends:
  python3-pkg-resources,
  python3-setuptools,
- python3-six,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
